import { useContext } from "react";
import { ApplicationStateContext } from "../state/ApplicationContexts";

export const useAuthorizationToken = () => {
  const state = useContext(ApplicationStateContext);

  const getToken = () => state.security.authorization.token;
  const tokenIsValid = () => {
    const token = getToken();
    if (!token) {
      return false;
    }

    const valid = new Date(token.validUntil) >= new Date();
    return valid;
  };

  return { getToken, tokenIsValid };
};
